liborigin2: Origin::GraphAxis Struct Reference

liborigin2 29/08/2011

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Attributes | List of all members
Origin::GraphAxis Struct Reference

`#include <OriginObj.h>`

## Public Types
enum | AxisPosition { Left = 0, Bottom, Right, Top, Front, Back }
enum | Scale { Linear = 0, Log10 = 1, Probability = 2, Probit = 3, Reciprocal = 4, OffsetReciprocal = 5, Logit = 6, Ln = 7, Log2 = 8 }

## Public Attributes
GraphAxisFormat | formatAxis [2]
GraphGrid | majorGrid
unsigned char | majorTicks
double | max
double | min
GraphGrid | minorGrid
unsigned char | minorTicks
bool | oppositeLine
AxisPosition | position
unsigned char | scale
double | step
GraphAxisTick | tickAxis [2]
bool | zeroLine

## Member Enumeration Documentation

enum Origin::GraphAxis::AxisPosition

Enumerator
Left |
Bottom |
Right |
Top |
Front |
Back |

enum Origin::GraphAxis::Scale

Enumerator
Linear |
Log10 |
Probability |
Probit |
Reciprocal |
OffsetReciprocal |
Logit |
Ln |
Log2 |

## Member Data Documentation

GraphAxisFormat Origin::GraphAxis::formatAxis[2]

Referenced by Origin750Parser::readGraphAxisInfo(), and Origin750Parser::readGraphAxisPrefixSuffixInfo().

GraphGrid Origin::GraphAxis::majorGrid

Referenced by Origin750Parser::readGraphAxisInfo().

unsigned char Origin::GraphAxis::majorTicks

double Origin::GraphAxis::max

double Origin::GraphAxis::min

GraphGrid Origin::GraphAxis::minorGrid

Referenced by Origin750Parser::readGraphAxisInfo().

unsigned char Origin::GraphAxis::minorTicks

bool Origin::GraphAxis::oppositeLine

AxisPosition Origin::GraphAxis::position

unsigned char Origin::GraphAxis::scale

double Origin::GraphAxis::step

GraphAxisTick Origin::GraphAxis::tickAxis[2]

Referenced by Origin750Parser::readGraphAxisInfo().

bool Origin::GraphAxis::zeroLine

The documentation for this struct was generated from the following file:

- /build/liborigin2/src/liborigin2/OriginObj.h